<link href="vendor/datepicker/gijgo.min.css" rel="stylesheet" type="text/css" />
<link href="https://unpkg.com/gijgo@1.9.13/css/gijgo.min.css" rel="stylesheet" type="text/css" />

<div class="row">
  <div class="container-fluid">
    <div class="text-center">
      <h1 class="h4 text-gray-900 mb-4">Buat laporan keluhan baru</h1>

    </div>
    <form class="user" autocomplete="off">
      <div class="form-group row">
        <div class="col-sm-6 mb-3 mb-sm-0">
          <input type="text" class="form-control form-control-user" id="judul" placeholder="Judul laporan">
        </div>
        <div class="col-sm-6">
        </div>
      </div>
      <div class="form-group">
        <textarea name="deskripsi" id="deskripsi" class="form-control form-control-user" placeholder="Deskripsi keluhan"></textarea>
      </div>
      <div class="form-group row">
        <div class="col-sm-3 mb-2 mb-sm-0">
          <a href="#!" class="btn btn-success btn-user btn-block" id="simpan">Laporkan</a>
        </div><div class="col-sm-7"></div>
        <div class="col-sm-2"></div>
      </div>
</div>
<script src="vendor/datepicker/gijgo.min.js" type="text/javascript"></script>
<script src="vendor/typeahead/bootstrap3-typeahead.js" /></script>
<script type="text/javascript">
$("#simpan").click(function(){
  $.post($("#apiurl").val()+"/keluhan/setTrouble",{
      judul:$("#judul").val(),
      deskripsi:$("#deskripsi").val(),
    },function(log){
      console.log(log);
  });
});


function refreshTable()
{
  $("#dataTable tbody").html("");
  $("#dataTable tbody").empty();
  $.ajax({dataType:"json", url: $("#apiurl").val()+"/inventory/getTempKebutuhan?kid="+$('#hashcode').text()}).done(function(data) {
    $.each( data, function( key, val ) {
      var markup = '<tr><td>-</td><td>'+val.kebutuhan_id+'</td><td>'+val.barang+' ('+val.barang+')</td><td>'+val.jumlah+'</td><td>'+val.keterangan+'</td><td><button onclick=hapus("'+val.id+'") class="btn btn-danger"><i class="fas fa-fw fa-trash"></i></button></td></tr>';
      $("#dataTable tbody").append(markup);
    })
  });
}
</script>
